# cModulePar Class Reference
[Internal classes]

`#include <cpar.h>`

Inheritance diagram for cModulePar:

List of all members.

## Detailed Description

Module parameter object.

This is specialized version of cPar: it is capable of logging parameter changes to file.

NOTE: dup() creates only a cPar, NOT a cModulePar!

## Public Member Functions

Constructors, destructor, assignment.
| cModulePar (const cPar &other)
| cModulePar (const char *name=NULL)
| cModulePar (const char *name, cPar &other)
virtual | ~cModulePar ()
cModulePar & | operator= (const cModulePar &otherpar)
Redefined cObject member functions
virtual cPolymorphic * | dup () const
virtual std::string | fullPath () const
virtual const char * | fullPath (char *buffer, int bufsize) const
Redefined cPar member functions
virtual void | afterChange ()
Set/get owner module.
void | setOwnerModule (cModule *om)
cModule * | ownerModule () const

## Friends

class | cModule

## Constructor & Destructor Documentation

cModulePar::cModulePar | ( | const cPar & | other | ) |

| Constructor.

cModulePar::cModulePar | ( | const char * | name = `NULL` | ) | `[explicit]`

| Constructor.

cModulePar::cModulePar | ( | const char * | name,
|  | cPar & | other
| ) | `[explicit]`

| Constructor.

virtual cModulePar::~cModulePar | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void cModulePar::afterChange | ( |  | ) | `[virtual]`

| Calls owner module's handleParameterChange() method. Reimplemented from cPar.

virtual cPolymorphic* cModulePar::dup | ( |  | ) | const`[inline, virtual]`

| Creates and returns an exact copy of this object. See cObject for more details. Reimplemented from cPar.

virtual const char* cModulePar::fullPath | ( | char * | buffer,
|  | int | bufsize
| ) | const`[virtual]`

| The original fullPath() method is redefined to hide the internal array (a cArray) used to store the parameter objects. Reimplemented from cObject.

virtual std::string cModulePar::fullPath | ( |  | ) | const`[virtual]`

| Redefined. (Reason: a C++ rule that overloaded virtual methods must be redefined together.) Reimplemented from cObject.

cModulePar& cModulePar::operator= | ( | const cModulePar & | otherpar | ) |

| Assignment operator. The name member doesn't get copied; see cObject's operator=() for more details.

cModule* cModulePar::ownerModule | ( |  | ) | const`[inline]`

| Returns a pointer to the module which has this cPar as module parameter.

void cModulePar::setOwnerModule | ( | cModule * | om | ) | `[inline]`

| Sets a pointer to the module which has this cPar as module parameter.

The documentation for this class was generated from the following file:

- cpar.h